@import "@/styles/variables";

.login-container {
    display: grid;
    grid-column: 1 / -1;
}

.login-link-back {
    display: grid;
    grid-column: 4 / -1;
}

.container {
    @include card-shadow;

    background-color: $white;
    grid-column: 1 / -1;
    justify-self: center;
    height: fit-content;

    .title-description {
        font-weight: 400 !important;
        font-size: 16px !important;
    }

    .form-wrapper {
        @include col;

        gap: 1rem;
        width: 100%;
    }

    .input-button {
        @include col;

        margin-top: 2.5rem;
        align-items: center;

        button {
            width: 100%;

            @include tablet {
                width: unset;
            }
        }
    }

    .login-box {
        @include col;

        gap: 1rem;
        max-width: 738px;
        align-items: center;
        padding: 4rem 2rem;

        @include notebook {
            padding: 4rem 10rem;
        }
    }

    .login-title {
        text-align: center;
    }

    .login-subtitle {
        color: #000;
        padding-top: -1rem;
    }

    .error {
        color: red;
        margin-top: 1rem;
    }
}
